sling-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Oliver Lietz (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (SLING-8432) Provide support for running the Pax Exam tests on Java 9 and higher
Date Wed, 29 May 2019 18:24:00 GMT

    [ https://issues.apache.org/jira/browse/SLING-8432?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16851091#comment-16851091
] 

Oliver Lietz edited comment on SLING-8432 at 5/29/19 6:23 PM:
--------------------------------------------------------------

[~radu.cotescu], updating Sling's Karaf Features and processing of the Handlebars templates
is still semi-automated only as several bundles miss the required meta data.

The supporting tool is a simple JavaFX 8 application. Let me check if switching to CLI or
providing it as is makes more sense.

[Edit] Versions: Having versions only in {{SlingVersionResolver}} allows central management
*and* overriding (whether straight or via template).


was (Author: olli):
[~radu.cotescu], updating Sling's Karaf Features and processing of the Handlebars templates
is still semi-automated only as several bundles miss the required meta data.

The supporting tool is a simple JavaFX 8 application. Let me check if switching to CLI or
providing it as is makes more sense.

> Provide support for running the Pax Exam tests on Java 9 and higher
> -------------------------------------------------------------------
>
>                 Key: SLING-8432
>                 URL: https://issues.apache.org/jira/browse/SLING-8432
>             Project: Sling
>          Issue Type: Improvement
>          Components: Testing
>            Reporter: Radu Cotescu
>            Assignee: Oliver Lietz
>            Priority: Major
>             Fix For: Testing PaxExam 3.0.0
>
>
> The current setup of the PaxExam module does not allow running Pax tests on Java 9 and
above.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message